%define debug_package %{nil}
%define repo https://cloud.silique.fr/gitea/Silique/speedtest-rs

Name: speedtest-rs
Version: 1.1.0
Release: 1%{?dist}
Summary: Unofficial Librespeed compatible server written in Rust
License: LGPL-3.0-only
URL: %{repo}
Source0: %{repo}/archive/%{version}.tar.gz
Source1: speedtest-rs.service
Source2: speedtest-rs.sysusers
Source3: config.env
BuildRequires: pkgconfig(openssl)
BuildRequires: systemd
BuildRequires: systemd-rpm-macros
BuildRequires:  rust-packaging

%description
A Librespeed server API implementation written in Rust compatible with upstream Librespeed clients.

%prep
%setup -qn speedtest-rs

%build
cargo build --release

%install
install -d %{buildroot}%{_sysconfdir}/%{name}
install -Dpm 644 %{SOURCE3} %{buildroot}%{_sysconfdir}/%{name}
install -Dpm 755 target/release/speedtest-rs %{buildroot}%{_bindir}/speedtest-rs
install -d %{buildroot}%{_datadir}/%{name}
install -Dpm 644 assets/* %{buildroot}%{_datadir}/%{name}
ln -s example-singleServer-full.html %{buildroot}%{_datadir}/%{name}/index.html
install -Dpm 644 %{SOURCE1} %{buildroot}%{_unitdir}/speedtest-rs.service
install -Dpm 644 %{SOURCE2} %{buildroot}%{_sysusersdir}/speedtest-rs.conf

%files
%license LICENSE
%{_sysconfdir}/%{name}
%{_bindir}/speedtest-rs
%{_datadir}/%{name}
%{_unitdir}/speedtest-rs.service
%{_sysusersdir}/speedtest-rs.conf

%pre
%sysusers_create_compat %{SOURCE2}

%changelog
* Sat Oct 15 2022 Emmanuel Garette <egarette@silique.fr> 1.0.0
- Initial rpm : version 1.0.0

* Thu Jan 10 2023 Emmanuel Garette <egarette@silique.fr> 1.1.0
- can desactive ipinfo client
